---
title: Get bot details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Radar](https://developers.cloudflare.com/api/python/resources/radar)

[Bots](https://developers.cloudflare.com/api/python/resources/radar/subresources/bots)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get bot details

radar.bots.get(strbot\_slug, BotGetParams\*\*kwargs) -> [BotGetResponse](<https://developers.cloudflare.com/api/python/resources/radar#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)>)

GET/radar/bots/{bot\_slug}

Retrieves the requested bot information.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

bot\_slug: str

Bot slug.

maxLength100

[Link to this property](<#(resource)%20radar.bots%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20bot_slug%20%3E%20(schema)>)

<details>

<summary>

format: Optional\[Literal\["JSON", "CSV"]]

Format in which results will be returned.

</summary>

One of the following:

"JSON"

<a href="#(resource)%20radar.bots%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"CSV"

<a href="#(resource)%20radar.bots%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.bots%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class BotGetResponse: …

</summary>

<details>

<summary>

bot: Bot

</summary>

category: str

The category of the bot.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20category">Link to this property</a>

description: str

A summary for the bot (e.g., purpose).

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20description">Link to this property</a>

Deprecatedkind: str

The kind of the bot.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20kind">Link to this property</a>

name: str

The name of the bot.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20name">Link to this property</a>

operator: str

The organization that owns and operates the bot.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20operator">Link to this property</a>

operator\_url: str

The link to the bot documentation.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20operatorUrl">Link to this property</a>

slug: str

A kebab-case identifier derived from the bot name.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20slug">Link to this property</a>

user\_agent\_patterns: List\[str]

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20userAgentPatterns">Link to this property</a>

user\_agents: List\[str]

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20userAgents">Link to this property</a>

signature\_agent\_url: Optional\[str]

The URL of the agent’s <a href="https://blog.cloudflare.com/web-bot-auth/">Web Bot Auth</a> resource. Null for bots not verified via request signature.

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot%20%3E%20(property)%20signatureAgentUrl">Link to this property</a>

</details>

<a href="#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)%20%3E%20(property)%20bot">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.bots%20%3E%20(model)%20bot_get_response%20%3E%20(schema)>)

### Get bot details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
bot = client.radar.bots.get(
    bot_slug="gptbot",
)
print(bot.bot)
```

200 example

```
{
  "result": {
    "bot": {
      "category": "AI_CRAWLER",
      "description": "OpenAI/ChatGPT's web crawler",
      "kind": "AGENT",
      "name": "GPTBot",
      "operator": "OpenAI",
      "operatorUrl": "https://platform.openai.com/docs/bots",
      "slug": "gptbot",
      "userAgentPatterns": [
        "GPTBot"
      ],
      "userAgents": [
        "GPTBot"
      ],
      "signatureAgentUrl": "https://example.com/signature-agent"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "bot": {
      "category": "AI_CRAWLER",
      "description": "OpenAI/ChatGPT's web crawler",
      "kind": "AGENT",
      "name": "GPTBot",
      "operator": "OpenAI",
      "operatorUrl": "https://platform.openai.com/docs/bots",
      "slug": "gptbot",
      "userAgentPatterns": [
        "GPTBot"
      ],
      "userAgents": [
        "GPTBot"
      ],
      "signatureAgentUrl": "https://example.com/signature-agent"
    }
  },
  "success": true
}
```